Searched refs:testname (Results 1 - 9 of 9) sorted by relevance

/illumos-gate/usr/src/lib/libshell/common/tests/
H A Dsun_solaris_cr_6907460_EXIT_trap_handlers_are_sometimes_executed_twice.sh121 typeset testname
148 testname="$( printf "test |%#B|\n" vari )"
168 ${SHELL} ${vari.shell_options} "testscript.sh" >/dev/null 2>&1 || err_exit "${testname}: Unexpected error code $?"
175 err_exit "${testname}: File 'log' not found."
177 [[ "${out}" == $'TRAP A\nTRAP B' ]] || err_exit "${testname}: Expected \$'TRAP A\nTRAP B', got $(printf "%q\n" "${out}")"
H A Dsun_solaris_cr_6904878_join_-t_no_longer_works_with_multibyte_char_separator.sh88 typeset testname
117 testname="${join_cmd}/${tc.name}"
141 out="$(${SHELL} -c "${join_cmd} \"\$@\"" dummy "${join_args[@]}" 2>&1)" || err_exit "${testname}: Command returned exit code $?"
142 [[ "${out}" == ${output_format} ]] || err_exit "${testname}: Expected match for $(printf "%q\n" "${output_format}"), got $(printf "%q\n" "${out}")"
160 typeset testname="${joincmd}"
169 out=$( LC_ALL=ja_JP.eucJP ${SHELL} -o pipefail -o errexit -c '$1 -j1 1 -j2 2 -o 1.1 -t $(cat delim) input1 input2' dummy "${joincmd}" 2>&1 ) || err_exit "${testname}: Test failed with exit code $?"
170 [[ "${out}" == 'f1' ]] || err_exit "${testname}: Expected 'f1', got $(printf "%q\n" "${out}")"
H A Dsun_solaris_cr_6904557_wc_no_longer_counts_number_of_bytes_correctly.sh94 typeset testname
142 testname="${wc_cmd}/${tc.name}"
152 out="$(printf "${tc.input_format}" | ${SHELL} -c "${wc_cmd} \"\$@\"" dummy "${tc.wc_args[@]}" 2>&1)" || err_exit "${testname}: Command returned exit code $?"
153 [[ "${out}" == ${tc.output_pattern} ]] || err_exit "${testname}: Expected match for $(printf "%q\n" "${tc.output_pattern}"), got $(printf "%q\n" "${out}")"
H A Dsun_solaris_cr_6904575_cut_-d_with_multibyte_character_no_longer_works.sh92 typeset testname
126 testname="${cut_cmd}/${tc.name}"
147 out="$(printf "${tc.input_format}" | ${SHELL} -c "${cut_cmd} \"\$@\"" dummy "${cut_args[@]}" 2>&1)" || err_exit "${testname}: Command returned exit code $?"
148 [[ "${out}" == ${output_format} ]] || err_exit "${testname}: Expected match for $(printf "%q\n" "${output_format}"), got $(printf "%q\n" "${out}")"
164 typeset testname="${cutcmd}"
172 out=$( LC_ALL=ja_JP.eucJP ${SHELL} -o pipefail -o errexit -c '$1 -d $(cat delim) -f1 "mb.eucjp" | od -tx1' dummy "${cutcmd}" 2>&1 ) || err_exit "${testname}: Test failed with exit code $?"
173 [[ "${out}" == $'0000000 a4 a2 0a\n0000003' ]] || err_exit "${testname}: Expected \$'0000000 a4 a2 0a\n0000003', got $(printf "%q\n" "${out}")"
/illumos-gate/usr/src/cmd/sendmail/libsm/
H A Dtest.c55 ** testname -- description of tests.
62 sm_test_begin(argc, argv, testname)
65 char *testname;
85 (void) fprintf(stdout, Help, argv[0], testname);
/illumos-gate/usr/src/cmd/mdb/common/modules/genunix/
H A Dvfs.c100 char testname[MDB_SYM_NAMLEN]; local
155 if (mdb_lookup_by_addr(vfsp, MDB_SYM_EXACT, testname, sizeof (testname),
157 if ((strlen(testname) > 4) &&
158 (strcmp(testname + strlen(testname) - 4, "_vfs") == 0)) {
159 testname[strlen(testname) - 4] = '\0';
160 strncpy(fsname, testname, _ST_FSTYPSZ);
/illumos-gate/usr/src/cmd/logadm/
H A Dtester162 $testname = $opt_s;
165 print "$myname: $testname setup complete, to run, cd to:\n";
177 $testname = $_;
178 print "Running $testname...";
190 print STDERR " or use: $myname -s $testname $bindir\n";
199 print STDERR " or use: $myname -s $testname $bindir\n";
/illumos-gate/usr/src/lib/libnwam/common/
H A Dlibnwam_loc.c1073 char *name, *testname; local
1076 nwam_loc_get_name(testloch, &testname) == NWAM_SUCCESS &&
1077 strcmp(name, testname) == 0) {
/illumos-gate/usr/src/cmd/th_tools/
H A Dth_define.c1654 char testname[_POSIX_PATH_MAX]; local
1660 snprintf(testname, sizeof (testname), "%s.test.%lu",
1672 if ((fp = fopen(testname, "w")) == 0)

Completed in 87 milliseconds